%define anolis_release 1
%global debug_package %{nil}

%bcond_with test

Name:           python-Keras-Applications
Version:        1.0.8
Release:        %{anolis_release}%{?dist}
Summary:        Reference implementations of deep learning models
License:        MIT
URL:            https://pypi.org/project/Keras-Applications
Source0:        https://files.pythonhosted.org/packages/21/56/4bcec5a8d9503a87e58e814c4e32ac2b32c37c685672c30bc8c54c6e478a/Keras_Applications-%{version}.tar.gz
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python-rpm-macros
Requires:       python3-h5py
Requires:       python3-numpy >= 1.9.1
Recommends:     python3-Keras

%if %{with test}
BuildRequires:  python3-Keras python3-h5py
BuildRequires:  python3-numpy >= 1.9.1
BuildRequires:  python3-pytest
%endif

%description
Keras Applications is the applications module of the Keras deep
learning library. It provides model definitions and pre-trained
weights for a number of archictures, such as VGG16, ResNet50,
Xception, MobileNet, and more.

%package -n python3-Keras-Applications
Summary:        Reference implementations of deep learning models

%description -n python3-Keras-Applications
Keras Applications is the applications module of the Keras deep
learning library. It provides model definitions and pre-trained
weights for a number of archictures, such as VGG16, ResNet50,
Xception, MobileNet, and more.

%package -n python3-Keras-Applications-doc
Summary:        Doc files for python3-Keras-Applications
Requires:       python3-Keras-Applications = %{EVR}
BuildArch:      noarch

%description -n python3-Keras-Applications-doc
Doc files for python3-Keras-Applications

%prep
%setup -q -n Keras_Applications-%{version}
# these fetch tensorflow data from aws sadly
rm tests/applications_test.py

%build
%py3_build

%install
%py3_install

%check
%if %{with test}
# test_decode_predictions - online test (fetches from google cloud)
%pytest -k 'not test_decode_predictions'
%endif

%files -n python3-Keras-Applications
%license LICENSE
%{python3_sitelib}/*

%files -n python3-Keras-Applications-doc
%doc README.md

%changelog
* Tue May 16 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.0.8-1
- init from upstream
